Package com.collibra.dgc.core.api.dto.instance.domain

# Class AddDomainRequest.Builder

Object
Builder

Enclosing class:
  `AddDomainRequest`

public static final class AddDomainRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddDomainRequest`
  `build()`
  `AddDomainRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `AddDomainRequest.Builder`
  `communityId(UUID communityId)`
  Required. The ID of the community that the new domain should be added to.
  `AddDomainRequest.Builder`
  `description(String description)`
  The description of the new domain.
  `AddDomainRequest.Builder`
  `excludedFromAutoHyperlinking(Boolean excludedFromAutoHyperlinking)`
  `AddDomainRequest.Builder`
  `id(UUID id)`
  `AddDomainRequest.Builder`
  `name(String name)`
  Required. The name of the new domain.
  `String`
  `toString()`
  `AddDomainRequest.Builder`
  `typeId(UUID typeId)`
  The ID of the domain type of the new domain.
  `AddDomainRequest.Builder`
  `typePublicId(String typePublicId)`
  The public ID of the domain type of the new domain.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public AddDomainRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `AddDomainRequest.builder()`
    Clone method for this Builder.

  - ### name

    public AddDomainRequest.Builder name(String name)
    Required. The name of the new domain. Should be unique within the community.
    Returns:
      `this`.

  - ### communityId

    public AddDomainRequest.Builder communityId(UUID communityId)
    Required. The ID of the community that the new domain should be added to.
    Returns:
      `this`.

  - ### typeId

    public AddDomainRequest.Builder typeId(UUID typeId)
    The ID of the domain type of the new domain.
    Returns:
      `this`.

  - ### description

    public AddDomainRequest.Builder description(String description)
    The description of the new domain.
    Returns:
      `this`.

  - ### id

    public AddDomainRequest.Builder id(UUID id)
    Returns:
      `this`.

  - ### excludedFromAutoHyperlinking

    public AddDomainRequest.Builder excludedFromAutoHyperlinking(Boolean excludedFromAutoHyperlinking)
    Returns:
      `this`.

  - ### typePublicId

    public AddDomainRequest.Builder typePublicId(String typePublicId)
    The public ID of the domain type of the new domain.
    Returns:
      `this`.

  - ### build

    public AddDomainRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`